Page MenuHomePhabricator

XMP Tests failing on PHP 7.1
Closed, ResolvedPublic

Description

From travis

2) XMPTest::testXMPParse with data set #0 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[1.xmp] parseType=Resource test')

[1.xmp] parseType=Resource test

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


3) XMPTest::testXMPParse with data set #1 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[2.xmp] Structure with mixed ... props')

[2.xmp] Structure with mixed attribute and element props

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


4) XMPTest::testXMPParse with data set #2 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[3.xmp] Extra qualifiers (tha...nored)')

[3.xmp] Extra qualifiers (that should be ignored)

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


5) XMPTest::testXMPParse with data set #6 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[6.xmp] Multiple rdf:Description')

[6.xmp] Multiple rdf:Description

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


6) XMPTest::testXMPParse with data set #8 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '127')), '[flash.xmp] Test of Flash property')

[flash.xmp] Test of Flash property

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


7) XMPTest::testXMPParse with data set #17 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[xmpExt.xmp] Extended XMP mis...d part')

[xmpExt.xmp] Extended XMP missing second part

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


8) XMPTest::testExtendedXMP

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:114

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


9) XMPTest::testExtendedXMPWithWrongGUID

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:145

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


10) XMPTest::testExtendedXMPMissingPacket

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:176

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


11) XMPTest::testCheckParseSafety

Check that doctype is detected in fragmented XML

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:222

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94

Event Timeline

Reedy created this task.Dec 7 2017, 11:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2017, 11:03 PM
Reedy moved this task from Unsorted to PHP 7.1 on the [DO NOT USE] NewPHP board.Dec 7 2017, 11:06 PM
Reedy added a comment.Dec 8 2017, 2:57 AM

Few more on PHP 7.2 too...

2) XMPTest::testXMPParse with data set #0 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[1.xmp] parseType=Resource test')

[1.xmp] parseType=Resource test

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


3) XMPTest::testXMPParse with data set #1 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[2.xmp] Structure with mixed ... props')

[2.xmp] Structure with mixed attribute and element props

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


4) XMPTest::testXMPParse with data set #2 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[3.xmp] Extra qualifiers (tha...nored)')

[3.xmp] Extra qualifiers (that should be ignored)

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


5) XMPTest::testXMPParse with data set #3 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10')), '[3-invalid.xmp] Test ignoring... props')

[3-invalid.xmp] Test ignoring qualifiers that look like normal props

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


6) XMPTest::testXMPParse with data set #4 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10')), '[4.xmp] Flash as qualifier')

[4.xmp] Flash as qualifier

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


7) XMPTest::testXMPParse with data set #5 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10')), '[5.xmp] Flash as qualifier 2')

[5.xmp] Flash as qualifier 2

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


8) XMPTest::testXMPParse with data set #6 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[6.xmp] Multiple rdf:Description')

[6.xmp] Multiple rdf:Description

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


9) XMPTest::testXMPParse with data set #7 ('<?xpacket begin='' id='W5M0M...'r'?>\n', array(array('Me!'), array('http://creativecommons.com/cc-by-2.9', array('Test image for the cc: xmp: x...in xmp', 'lang'), array('xmp core/xmp rights/cc ns test', 'lang'), '2005:04:03', 'The one true editor: Vi (ok i... gimp)', array('http://example.com/identifierurl', 'urn:sha1:342524abcdef', 'ul'), 'Test image', '2011:05:12', '2007:03:04 06:34:10', 'My little xmp test image', '5', 'http://example.com/rights-certificate/', 'True', array('Bawolff is copyright owner', 'ul'), array('do whatever you want', 'Do whatever you want in briti...nglish', 'lang'), 'http://example.com/web_statement'), array('http://example.com/identifierurl/wrong')), '[7.xmp] Generic test of sever... types')

[7.xmp] Generic test of several property types

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

-    'xmp-general' => Array (...)

-    'xmp-deprecated' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


10) XMPTest::testXMPParse with data set #8 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '127')), '[flash.xmp] Test of Flash property')

[flash.xmp] Test of Flash property

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


11) XMPTest::testXMPParse with data set #9 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10')), '[invalid-child-not-struct.xmp...gnored')

[invalid-child-not-struct.xmp] Test child props not in struct or ignored

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


12) XMPTest::testXMPParse with data set #11 ('<rdf:RDF xmlns:rdf="http://ww..."w"?>\n', array(array('28/10')), '[no-namespace.xmp] Test non-n...gnored')

[no-namespace.xmp] Test non-namespaced attributes are ignored

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


13) XMPTest::testXMPParse with data set #12 ('<?xpacket begin=""?> <x:xm...meta>\n', array(array(array('ul', 'The author'))), '[bag-for-seq.xmp] Allow bag's...29105)')

[bag-for-seq.xmp] Allow bag's instead of seq's. (T29105)

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-general' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


14) XMPTest::testXMPParse with data set #13 (Binary String: 0x003c003f00780...03e000a, array(array('0/10'), array('􊯍')), '[utf16BE.xmp] UTF-16BE encoding')

[utf16BE.xmp] UTF-16BE encoding

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

-    'xmp-general' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


15) XMPTest::testXMPParse with data set #14 (Binary String: 0x3c003f0078007...e000a00, array(array('0/10'), array('􊯍')), '[utf16LE.xmp] UTF-16LE encoding')

[utf16LE.xmp] UTF-16LE encoding

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

-    'xmp-general' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


16) XMPTest::testXMPParse with data set #15 (Binary String: 0x0000003c00000...000000a, array(array('0/10'), array('􊯍')), '[utf32BE.xmp] UTF-32BE encoding')

[utf32BE.xmp] UTF-32BE encoding

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

-    'xmp-general' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


17) XMPTest::testXMPParse with data set #16 (Binary String: 0x3c0000003f000...a000000, array(array('0/10'), array('􊯍')), '[utf32LE.xmp] UTF-32LE encoding')

[utf32LE.xmp] UTF-32LE encoding

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

-    'xmp-general' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


18) XMPTest::testXMPParse with data set #17 ('<?xpacket begin="" id="W5M0M..."w"?>\n', array(array('0/10', '9')), '[xmpExt.xmp] Extended XMP mis...d part')

[xmpExt.xmp] Extended XMP missing second part

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


19) XMPTest::testXMPParse with data set #18 ('<?xpacket begin='' id='W5M0M...'w'?>\n', array(array(-3.14159265301, '5/1', 88.51805555, -21.123569450000002, '2.2.0.0')), '[gps.xmp] Handling of exif GP...in XMP')

[gps.xmp] Handling of exif GPS parameters in XMP

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:35

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


20) XMPTest::testExtendedXMP

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:114

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


21) XMPTest::testExtendedXMPWithWrongGUID

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:145

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


22) XMPTest::testExtendedXMPMissingPacket

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )


/home/travis/build/wikimedia/mediawiki/tests/phpunit/includes/libs/xmp/XMPTest.php:176

/home/travis/build/wikimedia/mediawiki/maintenance/doMaintenance.php:94


23) XMPTest::testCheckParseSafety

Check that doctype is detected in fragmented XML

Failed asserting that two arrays are equal.

--- Expected

+++ Actual

@@ @@

 Array (

-    'xmp-exif' => Array (...)

 )
Restricted Application added projects: Commons, Multimedia. · View Herald TranscriptDec 8 2017, 2:58 AM

Change 418035 had a related patch set uploaded (by Brion VIBBER; owner: Brion VIBBER):
[mediawiki/core@master] Fix XMPReader/XMPValidator for PHP 7

https://gerrit.wikimedia.org/r/418035

Ramsey-WMF moved this task from Untriaged to Tracking on the Multimedia board.Mar 15 2018, 5:42 PM
Krinkle updated the task description. (Show Details)Mar 20 2018, 3:26 AM

Change 418035 merged by jenkins-bot:
[mediawiki/core@master] Fix XMPReader/XMPValidator for PHP 7

https://gerrit.wikimedia.org/r/418035

Krinkle closed this task as Resolved.Apr 6 2018, 2:27 AM
Krinkle assigned this task to brion.

Change 431286 had a related patch set uploaded (by Legoktm; owner: Brion VIBBER):
[mediawiki/libs/XMPReader@master] Fix XMPReader/XMPValidator for PHP 7

https://gerrit.wikimedia.org/r/431286

Change 431286 merged by jenkins-bot:
[mediawiki/libs/XMPReader@master] Fix XMPReader/XMPValidator for PHP 7

https://gerrit.wikimedia.org/r/431286